Koozali.org formerly Contribs.org

$erase_tape_set_level_zero not defined

Paul Bearne

$erase_tape_set_level_zero not defined
« on: October 27, 2003, 10:28:00 AM »
flexbackup version 1.1.7 (http://flexbackup.sourceforge.net)
/etc/flexbackup.conf syntax OK


Errors:
 $erase_tape_set_level_zero not defined
Backup terminated: backup failed - status: 256

Paul Bearne

Re: $erase_tape_set_level_zero not defined
« Reply #1 on: October 27, 2003, 10:39:45 AM »
hi

I should say that  the above is the mail I am getting from my nightly tape backup after I upgraded 5.6 to 6 b3

Paul

Charlie Brady

Re: $erase_tape_set_level_zero not defined
« Reply #2 on: October 27, 2003, 08:06:45 PM »
Paul Bearne wrote:

> I should say that  the above is the mail I am getting from my
> nightly tape backup after I upgraded 5.6 to 6 b3

You don't have matching versions of flexbackup and e-smith-flexbackup, or the flexbackup config file has not been re-expanded.

In either case, one of the following is true:

- you haven't applied all updates and followed the instuctions as to what you should do after updating packages

- there is a bug, and you should report it in detail to smebugs@mitel.com.

I think the former is more likely.

Charlie

John Lewis

Re: $erase_tape_set_level_zero not defined
« Reply #3 on: November 04, 2003, 05:38:17 PM »
I'm getting the same error after an upgrade to 6.0b3.  I did have Darrel May's dmc-mitel-flexbackup-0.0.1-2.noarch.rpm installed on the 5.6 server, but it is not on this one.

The email status report for flexbackup gives the following:

  flexbackup version 1.1.7 (http://flexbackup.sourceforge.net)
  /etc/flexbackup.conf syntax OK

  Errors:
   $erase_tape_set_level_zero not defined
   Backup terminated: backup failed - status: 256

Here's what I have installed:
  flexbackup-1.1.7-1es
  e-smith-flexbackup-1.8.0-01
  e-smith-backup-1.12.1-02

How can I tell what the right versions are?

[root@gluon root]# cat /etc/flexbackup.conf
#------------------------------------------------------------
# DO NOT MODIFY THIS FILE! It is updated automatically by the
# SME Server software. Instead, modify the source template in
# an /etc/e-smith/templates-custom directory. For more
# information, see http://www.e-smith.org/custom/
#
# copyright (C) 1999-2003 Mitel Networks Corporation
#------------------------------------------------------------
$afio_echo_block = 'false';
$afio_compress_threshold = '3';
$afio_compress_cache_size = '2';
$blksize = '10';
$mt_var_blksize = 'true';
$buffer      = 'buffer';
$buffer_megs = '3';
$pad_blocks  = 'true';
$compress    = 'gzip';
$compr_level = '4';
$cpio_format = 'newc';
$device  = '/dev/st0';
$dump_length = '0';
$dump_use_dumpdates = 'false';
$erase_rewind_only = 'true';
$erase_tape_all_level_zero = 'true';
$exclude_expr[0] = 'news/articles';
$exclude_expr[1] = '.*~$';
$remoteshell = 'ssh';
$remoteuser = '';
$label = 'true';
$verbose     = 'false';
$sparse      = 'true';
$indexes     = 'true';
$atime_preserve = 'true';
$staticfiles = 'false';
$staticlogs = "false";
$logdir   = "/var/log/flexbackup";
$stampdir = "/var/state/flexbackup";
$index    = "$stampdir/index";
$comp_log = "gzip";
$prefix   = "";
$sprefix  = "";
$tmpdir   = "/tmp";
$nocompress_types = 'mp3 Z z gz gif zip lha jpeg jpg taz tgz deb rpm bz2';
$tar_echo_record_num = 'false';
$tar_atime_preserve = 'true';
$traverse_fs = 'false';
$set{'full'} = '/ /boot';
$type = 'dump';

Gordon

Re: $erase_tape_set_level_zero not defined
« Reply #4 on: December 14, 2003, 09:56:24 PM »
Paul
I am seeing this to on servers updated to 6 +updates and using SCSI Tape drives but not on one that had fresh install and tape restore. Also Travan 10/20 tape drive on a machine that was upgraded from 4.1.2--5.1.2--5.5--5.6--6. is fine.

Anyone have any pointers to where more clues can be found?

Regards
Gordon

Charlie Brady

Re: $erase_tape_set_level_zero not defined
« Reply #5 on: December 16, 2003, 02:51:00 AM »
John Lewis wrote:

>   Errors:
>    $erase_tape_set_level_zero not defined
>    Backup terminated: backup failed - status: 256
>
> Here's what I have installed:
>   flexbackup-1.1.7-1es
>   e-smith-flexbackup-1.8.0-01
>   e-smith-backup-1.12.1-02
>
> How can I tell what the right versions are?

They're the correct versions.

> $erase_tape_all_level_zero = 'true';

There's your problem. That should be:

$erase_tape_set_level_zero = 'true';

Do you have a file:

/etc/e-smith/templates-custom/etc/flexbackup.conf/10EraseTapeAllZero

? If so, delete it, then do:

/sbin/e-smith/expand-template /etc/flexbackup.conf

If not, you have a puzzle to solve.

Charlie

jb

Re: $erase_tape_set_level_zero not defined
« Reply #6 on: December 16, 2003, 05:32:41 AM »
Gordon,

Is your Travan 10/20 an IDE tape drive?  I have a travan 4/8 IDE that I can't get to work with 6.0.  I was just wondering if it is an IDE drive, did you have to do anything special to get it to work.

thx,

JB

ztasevski

$erase_tape_set_level_zero not defined
« Reply #7 on: July 15, 2004, 10:30:27 AM »
hi,

just as a reference if anyone is having issues with flexbackup....the above proposed solution works for a vxa-1 ide drive:

delete:
/etc/e-smith/templates-custom/etc/flexbackup.conf/10EraseTapeAllZero

execute:
/sbin/e-smith/expand-template /etc/flexbackup.conf

manually change in:

/etc/flexbackup.conf

from > $erase_tape_all_level_zero = 'true';

to > $erase_tape_set_level_zero = 'true';

reboot...works like a charm

i have also submitted a bug report :-o